- name: Install MariaDB Server
  apt:
    name: mariadb-server
    state: latest
    update_cache: yes

- name: Install python module
  apt:
    name: python-mysqldb
    state: present

- name: Remove all anonymous users
  mysql_user:
    login_user: "{{ mariadb_root_username }}"
    login_password: "{{ mariadb_root_password }}"
    name: ''
    host_all: yes
    state: absent

- name: Create readwrite user
  mysql_user:
    login_user: "{{ mariadb_root_username }}"
    login_password: "{{ mariadb_root_password }}"
    name: "{{ mariadb_username }}"
    host: "%"
    password: "{{ mariadb_password }}"
    priv: "*.*:ALL"
    state: present

- name: "Create a new database with name '{{ mariadb_database }}'"
  mysql_db:
    login_user: "{{ mariadb_root_username }}"
    login_password: "{{ mariadb_root_password }}"
    name: "{{ mariadb_database }}"
    state: present

- name: Initialize backup policy
  include_tasks: backup.yml
  when: mariadb_backup|default(false)|bool
